Bug 97021 - onMouseOut event occures when mouse is clicked
Summary: onMouseOut event occures when mouse is clicked
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: metacity (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-09 03:12 UTC by Takanori MATSUURA
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 22:13:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Takanori MATSUURA 2003-06-09 03:12:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030530

Description of problem:
When mouse button is clicked, onMouseOut event seems to occur.

I suppose MouseOut/In and mouse click are independent events.

A bug at mozilla bugzilla site is related with this bug.
http://bugzilla.mozilla.org/show_bug.cgi?id=102578

How reproducible:
Always

Steps to Reproduce:
1. use mozilla-1.3b or higher
2. visid http://bugzilla.mozilla.org/attachment.cgi?id=51575&action=view
3. click the square

Actual Results:
Background color turns blue and then white.
Square box color turns white.

Expected Results:
Background color turns blue and then white.
Square box color keeps black.

Comment 1 Havoc Pennington 2003-10-03 22:13:53 UTC
Fixed in 2.6.2


Note You need to log in before you can comment on or make changes to this bug.